<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-json-output-unittest.GTestJsonOutputUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-json-output-unittest.GTestJsonOutputUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-json-output-unittest.GTestJsonOutputUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest__inherit__graph.svg" width="252" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-json-output-unittest.GTestJsonOutputUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest__coll__graph.svg" width="252" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab5520f22133356e62a54cdb5756504bc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html#ab5520f22133356e62a54cdb5756504bc">testNonEmptyJsonOutput</a> (self)</td></tr>
<tr class="separator:ab5520f22133356e62a54cdb5756504bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f3712a87e4c54bb475103793975482"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html#ad8f3712a87e4c54bb475103793975482">testEmptyJsonOutput</a> (self)</td></tr>
<tr class="separator:ad8f3712a87e4c54bb475103793975482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afceaa6545170996b286e610e31f2e403"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html#afceaa6545170996b286e610e31f2e403">testTimestampValue</a> (self)</td></tr>
<tr class="separator:afceaa6545170996b286e610e31f2e403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6003d1c583fc2ded1ab5276fc82cb1c9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html#a6003d1c583fc2ded1ab5276fc82cb1c9">testDefaultOutputFile</a> (self)</td></tr>
<tr class="separator:a6003d1c583fc2ded1ab5276fc82cb1c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeae00520b90ff69e832cf6a676219cf8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html#aeae00520b90ff69e832cf6a676219cf8">testSuppressedJsonOutput</a> (self)</td></tr>
<tr class="separator:aeae00520b90ff69e832cf6a676219cf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc55ae0ca4d9b3d265b10bbbcc6e720e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html#abc55ae0ca4d9b3d265b10bbbcc6e720e">testFilteredTestJsonOutput</a> (self)</td></tr>
<tr class="separator:abc55ae0ca4d9b3d265b10bbbcc6e720e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Unit test for Google Test's JSON output functionality.
</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6003d1c583fc2ded1ab5276fc82cb1c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6003d1c583fc2ded1ab5276fc82cb1c9">&#9670;&nbsp;</a></span>testDefaultOutputFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-json-output-unittest.GTestJsonOutputUnitTest.testDefaultOutputFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies the default output file name.

Confirms that Google Test produces an JSON output file with the expected
default name if no name is explicitly specified.
</pre> 
</div>
</div>
<a id="ad8f3712a87e4c54bb475103793975482"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8f3712a87e4c54bb475103793975482">&#9670;&nbsp;</a></span>testEmptyJsonOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-json-output-unittest.GTestJsonOutputUnitTest.testEmptyJsonOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies JSON output for a Google Test binary without actual tests.

Runs a test program that generates an empty JSON output, and
tests that the JSON output is expected.
</pre> 
</div>
</div>
<a id="abc55ae0ca4d9b3d265b10bbbcc6e720e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc55ae0ca4d9b3d265b10bbbcc6e720e">&#9670;&nbsp;</a></span>testFilteredTestJsonOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-json-output-unittest.GTestJsonOutputUnitTest.testFilteredTestJsonOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies JSON output when a filter is applied.

Runs a test program that executes only some tests and verifies that
non-selected tests do not show up in the JSON output.
</pre> 
</div>
</div>
<a id="ab5520f22133356e62a54cdb5756504bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5520f22133356e62a54cdb5756504bc">&#9670;&nbsp;</a></span>testNonEmptyJsonOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-json-output-unittest.GTestJsonOutputUnitTest.testNonEmptyJsonOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies JSON output for a Google Test binary with non-empty output.

Runs a test program that generates a non-empty JSON output, and
tests that the JSON output is expected.
</pre> 
</div>
</div>
<a id="aeae00520b90ff69e832cf6a676219cf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeae00520b90ff69e832cf6a676219cf8">&#9670;&nbsp;</a></span>testSuppressedJsonOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-json-output-unittest.GTestJsonOutputUnitTest.testSuppressedJsonOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies that no JSON output is generated.

Tests that no JSON file is generated if the default JSON listener is
shut down before RUN_ALL_TESTS is invoked.
</pre> 
</div>
</div>
<a id="afceaa6545170996b286e610e31f2e403"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afceaa6545170996b286e610e31f2e403">&#9670;&nbsp;</a></span>testTimestampValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-json-output-unittest.GTestJsonOutputUnitTest.testTimestampValue </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Checks whether the timestamp attribute in the JSON output is valid.

Runs a test program that generates an empty JSON output, and checks if
the timestamp attribute in the testsuites tag is valid.
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-json-output-unittest.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-json-output-unittest</b></li><li class="navelem"><a class="el" href="classgoogletest-json-output-unittest_1_1GTestJsonOutputUnitTest.html">GTestJsonOutputUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
